/*------------------------------------------------------------------*/
/*  MsgTestU1.cpp                                                   */
/*                                                                  */
/* Tester for DL4YHF's inter-application  communication module.     */
/*                                                                  */
/*       Uses windows' WM_COPYDATA-Message mechanism                */
/*       to pass data from one application to another.              */
/*       More info in ..\YHF_Tools\YHF_Comm.cpp .                   */
/*                                                                  */
/* Copyright (c) 2001..2004 by Wolfgang Buescher                    */
/*                                                                  */
/* Autor: Wolfgang Buescher, (www.qsl.net/DL4YHF)                   */
/*                                                                  */
/* Revision history (YYYY-MM-DD):                                   */
/*  2001-08-27 :                                                    */
/*        Started as private experiment in DL4YHF's Spectrum Lab.   */
/*  2004-10-01 :                                                    */
/*        Minor corrections (YHF_FindWindowByName) + clarifications */
/*                                                                  */
/*------------------------------------------------------------------*/


//---------------------------------------------------------------------------
#ifndef MsgTestU1H
#define MsgTestU1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMsgTestForm : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
        TLabel *Label1;
        TEdit *Ed_SendMsgName;
        TButton *Btn_SendMessage;
        TMemo *Memo_Messages;
        TLabel *Label2;
        TEdit *Ed_ModuleID;
        TLabel *Label3;
        TEdit *Ed_MsgText;
        TLabel *Label4;
        TEdit *Ed_Command;
        TLabel *Label5;
        TLabel *Lab_CountRcvd;
        TTimer *Timer1;
        TLabel *Lab_SendMsgResult;
        void __fastcall Btn_SendMessageClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
private:	// Anwenderdeklarationen
        void __fastcall MyWindowProc(Messages::TMessage &Message);
        void __fastcall HandleCommandMessages(void);        
        int m_CopydataMessageCounter;

public:		// Anwenderdeklarationen
        __fastcall TMsgTestForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMsgTestForm *MsgTestForm;
//---------------------------------------------------------------------------
#endif
